Page MenuHomePhabricator

Bug 24332 - Fix the build of lldb under GNU/Linux when using autotools
ClosedPublic

Authored by sylvestre.ledru on Aug 3 2015, 2:56 AM.

Diff Detail

Event Timeline

sylvestre.ledru retitled this revision from to Bug 24332 - Fix the build of lldb under GNU/Linux when using autotools.
sylvestre.ledru updated this object.
brucem set the repository for this revision to rL LLVM.
brucem edited edge metadata.
brucem added a subscriber: lldb-commits.

I don't have the authority to approve something to be committed afaik, but hopefully my comments here are useful.

source/Plugins/Makefile
45

I'm not an expert in the autotools build system, but it seems likely that the ScriptInterpreters could be added to the global list of them rather than the per-OS ones. (This differs from what I wrote in the bug probably.)

It might be worth checking with Keno Fischer as well as he likes to have a build that doesn't use Python and he might have some feedback on this.

52

As above.

zturner accepted this revision.Aug 3 2015, 9:58 AM
zturner added a reviewer: zturner.
zturner added a subscriber: zturner.

Looks good to me, sorry for breaking this!

This revision is now accepted and ready to land.Aug 3 2015, 9:58 AM

Zachary, do you agree with Bruce? (that the change should be for every platform, not Darwin/Linux specific)?
I did the change locally but didn't push yet.

Probably it should be at least for FreeBSD, but I don't know that anyone else uses the autoconf build, and my understanding is that it's going away kind of soon anyway.

sylvestre.ledru edited edge metadata.

Update with the support of all archs (in case)